Skip to main content
GET
Export Feedbacks

Authorizations

Authorization
string
header
required

You can retrieve your API key from your dashboard under Account > Developers.

Path Parameters

shopId
integer
required

The shop ID.

Body

application/json
page
integer | null

Page number.

Example:

1

perPage
integer | null

Items per page, 1-100. Must be at least 1. Must not be greater than 100.

Example:

null

orderColumn
enum<string> | null
Available options:
status,
rating,
reply,
created_at,
updated_at
Example:

null

orderDirection
enum<string> | null
Available options:
asc,
desc
Example:

null

id
string | null

Filter by feedback ID.

Example:

null

statuses
enum<string>[]
Available options:
published,
disputed,
removed
Example:

null

invoice_id
string | null

Filter by invoice ID.

Example:

null

rating
integer | null

Filter by rating, 1-5. Must be at least 1. Must not be greater than 5.

Example:

null

invoice_email
string | null

Filter by customer email.

Example:

null

message_keyword
string | null

Search in feedback messages.

Example:

null

is_automatic
boolean | null

Only automatic feedbacks.

Example:

null

created_at_start
string | null

Must be a valid date.

Example:

null

created_at_end
string | null

Must be a valid date. Must be a date after created_at_start.

Example:

null

reply_keyword
string | null

Search in replies.

Example:

null

has_reply
boolean | null

Only feedbacks with a reply.

Example:

null

product_name
string | null
Example:

null

variant_name
string | null
Example:

null

product_id
string | null
Example:

null

variant_id
string | null
Example:

null

Response

200 - text/plain

The response is of type string.

Example:

"ID,Status,Rating,Message,Reply,\"Is Automatic\",\"Invoice Unique ID\",\"Invoice Email\",Products,\"Created At\",\"Updated At\",\"Replied At\",\"Disputed At\"\n1,published,5,\"Great product, instant delivery.\",,No,1938664e92640-0000000000001,customer@sellauth.test,\"License Keys (Standard)\",\"2026-11-06 10:45:19\",\"2026-11-06 10:45:19\",,\n"